/******************************************************************************
 *                                                                            *
 * File:   nbmac.h            Version  2.05            Date: 2010-04-03       *
 *                                                                            *
 * Copyright (C) 1998-2010 by Kostis Netzwerkberatung                         *
 * Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056                        *
 * http://www.kostis.net/                                                     *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     2010-04-03: KK V2.05                                                   *
 *        - see nbmac.c                                                       *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Constants

 *****************************************************************************/

#define	PRGNAM		"nbmac"
#define	VERSION		"V2.05 (2010-04-03)"

/******************************************************************************

	Program Messages

 *****************************************************************************/

#define MSG_COPYRIGHT		"\
Copyright (C) 1998-2010 by Kostis Netzwerkberatung\n\
Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056\n\
http://www.kostis.net/\n"
#define	MSG_VERSION		"%s %s\n"

/******************************************************************************

	Program Error Codes

 *****************************************************************************/

#define ERR_NONE		0
#define	ERR_SYNTAX		1
#define	ERR_OUT_OF_MEMORY	2
#define	ERR_NAME_TOOLONG	3
#define	ERR_NAME_INVALID	4

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_SYNTAX		"Syntax: %s [-lana_num] [-b] [-s] [-u] [-c|-i|-l|-r] [NetBIOS_name]\n"
#define ERR_MSG_OUT_OF_MEMORY	"%s: out of memory\n"
#define ERR_MSG_NAME_TOOLONG	"%s: NetBIOS name too long (max. 15 characters)\n"
#define ERR_MSG_NAME_INVALID	"%s: NetBIOS name contains illegal characters\n"
